/*
Theme Name: Twenty Twenty-One Child
Template: twentytwentyone
*/

/* =========================
   IMPORTS
========================= */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


/* =========================
   RESET CSS
========================= */
html,
body,
div,
span,
h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
em,
img,
i,
ol,
ul,
li,
footer,
header,
nav {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

body {
    line-height: 1;
}

ol,
ul {
    list-style: none;
}

blockquote {
    quotes: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}


/* =========================
   ROOT VARIABLES
========================= */
:root {
    --color-primary: #EEDECF;
    --color-secundary: #F1E8DF;
    --color-whatsapp-btn: #5CB95E;

    --font-primary: "Poppins", sans-serif;
}


/* =========================
   GLOBAL
========================= */
* {
    font-family: var(--font-primary);
}

html body {
    background: var(--color-primary) !important;
}

.container {
    width: 70%;
    max-width: 1300px;
    margin: 0 auto;
}

h1 {
    font-weight: 600 !important;
    font-size: 32px !important;
    text-align: center;
    color: #414141 !important;
    margin-bottom: 1em !important;
}

h2 {
    font-weight: 600 !important;
    font-size: 24px !important;
    margin-bottom: .5em !important;
}


/* =========================
   NAVBAR
========================= */
.navbar_salao-bg {
    background-image: url(imgs/elementor-pagina-individual-5.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.navbar_salao {
    display: grid;
    align-items: center;
    grid-template-columns: auto 1fr auto;
    grid-template-areas: "logo endereco btn";
    gap: 10px;
    padding: 1em;
}

.logo {
    grid-area: logo;
}

.endereco {
    display: flex;
    justify-content: center;
    grid-area: endereco;
}

.endereco > .texto {
    max-width: 350px;
    line-height: 120%;
    text-decoration: none;
}

.btn-navbar {
    grid-area: btn;
}

.navbar_salao .logo-img {
    width: 190px;
}

.navbar_salao .endereco > .texto {
    font-family: var(--font-primary);
    font-style: italic;
    font-weight: 400;
    color: #fff;
    font-size: 14px;
}

.btn-whatsapp {
    background-color: var(--color-whatsapp-btn);
    padding: 1em 1.2em;
    border-radius: 12px;

    display: flex;
    align-items: center;
    justify-content: center;
    gap: .5em;

    font-family: var(--font-primary);
    color: #fff;
    text-decoration: none;
    font-weight: 400;
    font-size: 16px;
}

.btn-whatsapp > img {
    filter: invert(100%);
}


/* =========================
   SECTIONS (GERAL)
========================= */
section {
    text-align: center;
    padding: 2.5em 1em;
    color: #414141;
}

/* =========================
   SECTION 1
========================= */
.section-1 {
    background-color: var(--color-secundary);
    font-style: italic;
    font-weight: 400;
}

.section-1 p {
    font-size: 18px !important;
}


/* =========================
   CONTENT POST
========================= */
.entry-content p {
    font-size: 20px !important;
    font-style: normal;
    text-align: justify;
    margin-left: 10px !important;
    margin-right: 10px !important;
    max-width: 1200px !important;
}

.wp-block-list {
    font-size: 20px !important;
    font-style: normal;
    text-align: left;
    max-width: 900px !important;
}

.wp-block-list li {
    margin-bottom: 1em;
}

/* =========================
   SECTION 2
========================= */
.section-2 {
    background-color: var(--color-primary);
}

.section-2 .content {
    display: grid;
    grid-template-columns: 50% 50%;
}

.section-2 .content > div {
    padding: 10px;
    font-size: 30px;
    text-align: center;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 90%;
    margin: 0 auto;
}

.section-2 .content-text > p {
    font-style: italic;
    font-weight: 400;
    font-size: 14px;
    line-height: 130%;
    margin-bottom: .5em;
}

.section-2 .content .img {
    height: 200px;
    width: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.section-2 .content .img-1 {
    background-image: url("imgs/elementor-pagina-individual-5-1.jpg");
}

.section-2 .content .img-2 {
    background-image: url("imgs/elementor-pagina-individual-5-2.jpg");
}

.section-2 .content .img-3 {
    background-image: url("imgs/elementor-pagina-individual-5-3.jpg");
}

.section-2 .content .img-4 {
    background-image: url("imgs/elementor-pagina-individual-5-42.jpg");
    background-position: top;
}


/* =========================
   SECTION 3
========================= */
.section-3 {
    background-color: var(--color-secundary);
}

.lista-interesses {
    display: grid;
    grid-template-columns: 20% 20% 20% 20% 20%;
    padding-left: 0 !important;
}

.lista-interesses > li {
    padding: 10px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    font-weight: 400;
    font-size: 18px;
    text-align: center;
    color: #414141;
}


/* =========================
   SECTION 4
========================= */
.section-4 {
    background-color: var(--color-primary);
}

.logo-google {
    width: 80px;
    margin-bottom: 1em;
}

.avaliacoes {
    display: grid;
    align-items: start;
    grid-template-columns: auto auto auto;
    gap: 90px;
    padding: 1em;

    color: #2c2c2c;
    font-style: italic;
    font-size: 12px;
    line-height: 120%;
}

.avaliacoes > div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.avaliacoes a {
    text-decoration: none;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    margin-bottom: .3em;
}


/* =========================
   RESPONSIVIDADE
========================= */

/* container */
@media screen and (max-width: 1400px) {
    .container {
        width: 90%;
    }
}

@media screen and (max-width: 768px) {
    .container {
        width: 100%;
    }
}

/* navbar */
@media screen and (max-width: 1000px) {
    .navbar_salao {
        grid-template-columns: auto;
        justify-content: center;
        text-align: center;
        grid-template-areas:
            "logo"
            "endereco"
            "btn";
    }
}

@media screen and (max-width: 600px) {
    .navbar_salao .logo-img {
        width: 130px;
    }
}

@media screen and (min-width: 700px) {
    .navbar_salao .logo-img {
        width: 130px;
    }

    h1 {
        font-weight: 600 !important;
        font-size: 42px !important;
        text-align: center;
        color: #414141 !important;
        margin-bottom: 1em !important;
    }

    h2 {
        font-weight: 600 !important;
        font-size: 34px !important;
        margin-bottom: .5em !important;
    }

    main p {
    }

    .avaliacoes {
        font-size: 14px !important;
    }
    
    .entry-content p {
        font-style: normal;
        text-align: center;
    }
    
    .wp-block-list {
    }
}

/* section 2 */
@media screen and (max-width: 720px) {
    .section-2 .content {
        display: grid;
        grid-template-columns: 100%;
        width: 100%;
    }
}

/* avaliacoes */
@media screen and (max-width: 900px) {
    .avaliacoes {
        grid-template-columns: auto;
        gap: 30px;
    }
}

/* lista interesses */
@media screen and (max-width: 1200px) {
    .lista-interesses {
        grid-template-columns: 33% 33% 33%;
    }
}

@media screen and (max-width: 400px) {
    .lista-interesses {
        grid-template-columns: 1fr 1fr;
    }

    .lista-interesses li:last-child {
        grid-column: 1 / -1;
        justify-self: center;
        text-align: center;
    }
}
